import qrcode
import os
import uuid

def generate_qr_code(mnemonic, qr_code_directory):
    try:
        # Generate QR code
        qr = qrcode.QRCode(
            version=1,
            error_correction=qrcode.constants.ERROR_CORRECT_L,
            box_size=10,
            border=4,
        )
        qr.add_data(mnemonic)
        qr.make(fit=True)
        img = qr.make_image(fill='black', back_color='white')

        # Generate a unique filename
        filename = f"{uuid.uuid4()}.png"
        qr_code_path = os.path.join(qr_code_directory, filename)

        # Save QR code to a file
        img.save(qr_code_path)

        return filename, None
    except Exception as e:
        print(f"Error generating QR code: {e}")
        return None, "Error generating QR code."
